<link rel="import" href="../polymer/polymer-element.html">

<dom-module id="slot-element">
  <template>
    <style>
      :host {
        @apply --my-custom-mixin;
      }
      ::slotted(span) {
        background: pink;
      }
      ::slotted(.claseSlotA) {
        background: yellow;
      }
    </style>
    <h1><slot></slot></h1>
    <hr>
    <h2>Hello [[prop1]]!</h2>
    <hr>
    <span>otro slot <slot name="span1">texto x default</slot></span>
    <hr>
    <span>el 3r slot: <slot name="span2Clase">[texto x en slot2]</slot></span>
    <p>Valor nuevo
      <div id="new"></div>
    </p>
  </template>

  <script>
    /**
     * `slot-element`
     * 
     *
     * @customElement
     * @polymer
     * @demo demo/index.html
     */
    class SlotElement extends Polymer.Element {
      static get is() { return 'slot-element'; }
      static get properties() {
        return {
          prop1: {
            type: String,
            value: 'slot-element'
          }
        };
      }
      ready() {
        super.ready();
        this.$.new.innerHTML = 'Listo el componente';
      }
    }

    window.customElements.define(SlotElement.is, SlotElement);
  </script>
</dom-module>
